com.intellectualsites.translation

## Class TranslationFile

- java.lang.Object
- - com.intellectualsites.translation.TranslationFile

- Direct Known Subclasses:
    YamlTranslationFile

      public abstract class TranslationFile
      extends java.lang.Object

  Abstract TranslationFile

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TranslationFile()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `add(java.lang.String key, java.lang.String value)` Add a value
    `abstract TranslationLanguage` | `getLanguage()` A method used to get the language of the file
    `abstract TranslationFile` | `read()` Read from the file
    `abstract void` | `saveFile()` Save the file

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TranslationFile

          public TranslationFile()

  - ### Method Detail

    - #### getLanguage

          public abstract TranslationLanguage getLanguage()

      A method used to get the language of the file
      Returns:
        language

    - #### saveFile

          public abstract void saveFile()

      Save the file

    - #### read

          public abstract TranslationFile read()

      Read from the file
      Returns:
        instance

    - #### add

          public abstract void add(java.lang.String key,
                 java.lang.String value)

      Add a value
      Parameters:
        `key` - name
        `value` - value